<div
  #scopeSelector
  class="full-width flex-column radio-group ant-radio-group"
  [attr.data-test-element-id]="'scope'"
>
  <ng-container
    *ngTemplateOutlet="radio; context: { scopeType: scopeTypes.DEFAULT }"
  ></ng-container>
  <ng-container
    *ngTemplateOutlet="radio; context: { scopeType: scopeTypes.PROJECTS }"
  ></ng-container>
  <ng-container
    *ngTemplateOutlet="radio; context: { scopeType: scopeTypes.CUSTOM }"
  ></ng-container>
</div>

<ng-template #radio let-scopeType="scopeType">
  <label
    class="ant-radio-wrapper"
    [class.ant-radio-wrapper-checked]="selectedPerimeterType === scopeType"
    (click)="changePerimeterType(scopeType)"
  >
    <span
      class="ant-radio"
      [class.ant-radio-checked]="selectedPerimeterType === scopeType"
    >
      <span class="ant-radio-inner"></span>
    </span>
    <span>{{
      'sqtm-core.custom-report-workspace.chart.scope.types.' + scopeType
        | translate
    }}</span>
    @if (
      scopeType === scopeTypes.PROJECTS && getProjectScopeLabels() | async;
      as labels
    ) {
      @if (labels.length > 1) {
        <span nz-tooltip [nzTooltipTitle]="labels.labels"
          >: {{ labels.length }}
          {{
            'sqtm-core.entity.project.label.plural' | translate | lowercase
          }}</span
        >
      }
      @if (labels.length === 1) {
        <span nz-tooltip [nzTooltipTitle]="labels.labels"
          >: {{ labels.length }}
          {{
            'sqtm-core.entity.project.label.singular' | translate | lowercase
          }}</span
        >
      }
    }
  </label>
</ng-template>
